Bug 998245 - Review Request: nodejs-uid2 - Node.js module to generate strong unique IDs
Review Request: nodejs-uid2 - Node.js module to generate strong unique IDs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jamie Nguyen
Fedora Extras Quality Assurance
:
: 1000171 (view as bug list)
Depends On:
Blocks: nodejs-reviews 998249
  Show dependency treegraph
 
Reported: 2013-08-18 11:32 EDT by Tom Hughes
Modified: 2013-09-28 14:42 EDT (History)
2 users (show)

See Also:
Fixed In Version: nodejs-uid2-0.0.3-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-18 16:32:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jamielinux: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom Hughes 2013-08-18 11:32:19 EDT
Spec URL: http://download.compton.nu/nodejs/nodejs-uid2.spec
SRPM URL: http://download.compton.nu/nodejs/nodejs-uid2-0.0.3-1.fc19.src.rpm
Fedora Account System Username: tomh

Description:
Node.js module to generate strong unique IDs.
Comment 1 Jamie Nguyen 2013-08-18 12:20:58 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nodejs-uid2-0.0.3-1.fc20.noarch.rpm
nodejs-uid2.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-uid2.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-uid2.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-uid2
nodejs-uid2.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-uid2.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-uid2.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-uid2 (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-uid2:
    nodejs-uid2
    npm(uid2)



Source checksums
----------------
http://registry.npmjs.org/uid2/-/uid2-0.0.3.tgz :
  CHECKSUM(SHA256) this package     : fb905c74737c472bded1174f40f7876df80f863725e287a5e589faac74085f1b
  CHECKSUM(SHA256) upstream package : fb905c74737c472bded1174f40f7876df80f863725e287a5e589faac74085f1b


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 -r -n nodejs-uid2-0.0.3-1.fc19.src.rpm
Comment 2 Jamie Nguyen 2013-08-18 12:22:44 EDT
Package approved!
Comment 3 Tom Hughes 2013-08-18 12:24:47 EDT
New Package SCM Request
=======================
Package Name: nodejs-uid2
Short Description: Node.js module to generate strong unique IDs
Owners: tomh jamielinux
Branches:
InitialCC:
Comment 4 Kevin Fenzi 2013-08-18 15:19:59 EDT
Git done (by process-git-requests).
Comment 5 Tom Hughes 2013-08-22 17:13:58 EDT
*** Bug 1000171 has been marked as a duplicate of this bug. ***
Comment 6 Tom Hughes 2013-08-22 17:16:25 EDT
Package Change Request
======================
Package Name: nodejs-uid2
New Branches: f18 f19
Owners: tomh jamielinux
Comment 7 Gwyn Ciesla 2013-08-23 08:39:07 EDT
Git done (by process-git-requests).
Comment 8 Jamie Nguyen 2013-08-26 09:22:59 EDT
Package Change Request
======================
Package Name: nodejs-uid2
New Branches: el6
Owners: tomh jamielinux
Comment 9 Gwyn Ciesla 2013-08-26 09:26:53 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-08-26 10:18:10 EDT
nodejs-uid2-0.0.3-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-uid2-0.0.3-2.el6
Comment 11 Fedora Update System 2013-08-26 11:50:59 EDT
nodejs-uid2-0.0.3-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-uid2-0.0.3-3.el6
Comment 12 Fedora Update System 2013-09-28 14:42:36 EDT
nodejs-uid2-0.0.3-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.